Dim oid(100)
oid(0) = ".1.3.6.1.4.1.1773.1.3.200.4.3.3.2.2.1.2.1"
oid(1) = ".1.3.6.1.4.1.1773.1.3.200.2.4.2.0"
oid(2) = ".1.3.6.1.4.1.1773.1.3.200.2.4.3.0"
oid(3) = ".1.3.6.1.4.1.1773.1.3.200.4.3.3.2.2.1.3.1"
oid(4) = ".1.3.6.1.4.1.1773.1.3.200.4.3.3.2.2.1.5.1"
oid(5) = ".1.3.6.1.4.1.1773.1.3.200.4.3.3.2.2.1.8.1"
oid(6) = ".1.3.6.1.4.1.1773.1.3.200.4.3.3.2.2.1.9.1"
oid(7) = ".1.3.6.1.4.1.1773.1.3.200.4.1.1.0"
oid(8) = ".1.3.6.1.4.1.1773.1.3.200.3.7.2.5.1.0"
oid(9) = ".1.3.6.1.4.1.1773.1.3.200.3.7.2.5.3.0"
oid(10) = ".1.3.6.1.4.1.1773.1.3.200.4.3.3.2.1.0"
oid(11) = ".1.3.6.1.4.1.1773.1.3.200.4.3.3.2.2.1.6.1"
oid(12) = ".1.3.6.1.4.1.1773.1.3.200.4.1.6.0"
oid(13) = ".1.3.6.1.4.1.1773.1.3.200.4.1.4.0"
oid(14) = ""
oid(15) = ""
oid(16) = ""
oid(17) = ""
oid(18) = ""
oid(19) = ""
oid(20) = ""
oid(21) = ""
oid(22) = ""
oid(23) = ""
oid(24) = ""
oid(25) = ""
oid(26) = ""
oid(27) = ""
oid(28) = ""
oid(29) = ""
oid(30) = ""
oid(31) = ""
oid(32) = ""
oid(33) = ""

Const ForReading = 1, ForWriting = 2, ForAppending = 8
Dim fso, f
Set fso = CreateObject("Scripting.FileSystemObject")
Set f = fso.OpenTextFile(Wscript.Arguments(1), ForWriting, True)
f.Write Time & " " & Date & vbNewLine
f.Write "SNMP Data for Tandberg TT1260 Receiver at " & Wscript.Arguments(0) & vbNewLine
strDevice = Wscript.Arguments(0)
strCommunity = "public"
On Error Resume Next
Set objSNMP = CreateObject("OlePrn.OleSNMP")
objSNMP.Open strDevice, strCommunity, 2, 1000
x = 0
errcnt=0
While x < 14
	value = objSNMP.Get(oid(x))
	If Err.Number = 0 Then
		f.Write oid(x) & "= " & value & vbNewLine
	Else
		f.Write "No data for OID: " & oid(x) & vbNewLine
		Err.Clear
		errcnt=errcnt+1
	End If
	If errcnt > 13 Then
		f.Write "SNMP COM Error" & vbNewLine
		x=13
	End If
    x=x+1
Wend
f.Write "DONE" & vbNewLine
f.Write Time & " " & Date & vbNewLine
f.close
